Loading...
Searching...
No Matches
juce::universal_midi_packets::GenericUMPConverter Class Reference

`#include <juce_UMPConverters.h>`

## Public Member Functions

| GenericUMPConverter (PacketProtocol m)
void | reset ()
template<typename Fn>
void | convert (const BytestreamMidiView &m, Fn &&fn)
template<typename Fn>
void | convert (const View &v, Fn &&fn)
template<typename Fn>
void | convert (Iterator begin, Iterator end, Fn &&fn)
PacketProtocol | getProtocol () const noexcept

## Static Public Member Functions

template<typename Converter, typename Fn>
static void | convertImpl (Converter &converter, const BytestreamMidiView &m, Fn &&fn)
template<typename Converter, typename Fn>
static void | convertImpl (Converter &converter, const View &m, Fn &&fn)
template<typename Converter, typename Fn>
static void | convertImpl (Converter &converter, Iterator b, Iterator e, Fn &&fn)

## Detailed Description

Allows conversion from bytestream- or Universal MIDI Packet-formatted messages to UMP format.

The packet protocol can be selected using the constructor parameter.

Definition at line 87 of file juce_UMPConverters.h.

## Constructor & Destructor Documentation

## GenericUMPConverter()

juce::universal_midi_packets::GenericUMPConverter::GenericUMPConverter | ( | PacketProtocol | m | ) |

inline explicit

Definition at line 99 of file juce_UMPConverters.h.

## Member Function Documentation

## convert() [1/3]

template<typename Fn>

void juce::universal_midi_packets::GenericUMPConverter::convert | ( | const BytestreamMidiView & | m,
|  | Fn && | fn )

inline

Definition at line 129 of file juce_UMPConverters.h.

## convert() [2/3]

template<typename Fn>

void juce::universal_midi_packets::GenericUMPConverter::convert | ( | const View & | v,
|  | Fn && | fn )

inline

Definition at line 135 of file juce_UMPConverters.h.

## convert() [3/3]

template<typename Fn>

void juce::universal_midi_packets::GenericUMPConverter::convert | ( | Iterator | begin,
|  | Iterator | end,
|  | Fn && | fn )

inline

Definition at line 141 of file juce_UMPConverters.h.

## convertImpl() [1/3]

template<typename Converter, typename Fn>

void juce::universal_midi_packets::GenericUMPConverter::convertImpl | ( | Converter & | converter,
|  | const BytestreamMidiView & | m,
|  | Fn && | fn )

inline static

Definition at line 108 of file juce_UMPConverters.h.

## convertImpl() [2/3]

template<typename Converter, typename Fn>

void juce::universal_midi_packets::GenericUMPConverter::convertImpl | ( | Converter & | converter,
|  | const View & | m,
|  | Fn && | fn )

inline static

Definition at line 114 of file juce_UMPConverters.h.

## convertImpl() [3/3]

template<typename Converter, typename Fn>

void juce::universal_midi_packets::GenericUMPConverter::convertImpl | ( | Converter & | converter,
|  | Iterator | b,
|  | Iterator | e,
|  | Fn && | fn )

inline static

Definition at line 120 of file juce_UMPConverters.h.

## getProtocol()

PacketProtocol juce::universal_midi_packets::GenericUMPConverter::getProtocol | ( |  | ) | const

inline noexcept

Definition at line 146 of file juce_UMPConverters.h.

## reset()

void juce::universal_midi_packets::GenericUMPConverter::reset | ( |  | ) |

inline

Definition at line 102 of file juce_UMPConverters.h.

The documentation for this class was generated from the following file:

- juce_UMPConverters.h